*{  
  font-size: 10px;
}

body{
    font-family: Montserrat, Verdana, Geneva, Tahoma, sans-serif, Arial, Helvetica, sans-serif;
    font-size: 1.6rem;
}

.layout{
  margin: 0;
  padding: 0;
}

/* LAYOUT HEADER */
.layout__header{
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 4rem 2rem;
  background:#EEE; 
  transition: all 300ms linear;
}

@keyframes toBottom{
  0%{
      transform: translateY(-100%);
  }
  100%{
      transform: translateY(0%);
  }
}

.layout__header--fixed{
  position:fixed;
  top: 0;
  left: 0;
  background-color: #EEE;
  animation-name: toBottom;
  animation-duration: 1.25s;
  animation-fill-mode: both;
  padding: 0.5rem 2rem;
  z-index: 99;
}

.header__title{
  font-size: 5rem;
  font-weight: 800;
}

.header__title span{
  position: absolute;
  font-size: 3rem;
}

.header__nav{
  border: 1px solid black;
  border-radius: 5px;
}

.nav__list{  
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  text-align: center;
  gap: 3rem;
  justify-content: space-between;
  list-style: none;
  list-style-type: none;
  padding: 2rem;
}

.list__item{
  position: relative;
  font-size: 2rem;
  font-weight: 600;
  list-style: none;
  text-decoration: none;
}

.list__item::after{
  content:"";
  height: 0.2rem;
  width: 0;
  position: absolute;
  top: 80%;
  left: 0;
  background-color: black;
  transition: all 300ms ease-in-out;
}

.list__item:hover::after{
  width: 100%;
}

/* SECCION LOGO Y MISION */
.layout__logo{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  flex-wrap: wrap;
}

.logo__img-container{
  max-width: 40%;
  margin: 2rem 4rem;
}

.logo__img{
  width: 900px;
  padding: 1rem;
  transition: all 300ms linear;
}

.logo__img:hover{
  opacity: 0.9;
}

.logo__content{
  max-width: 40%;
  margin: 2rem 4rem;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: self-start;
  justify-content: center;
}

.logo__title{
  font-size: 3.7rem;
  margin-bottom: 4rem;
}

.logo__subtitle{
  font-size: 2rem;
}

.logo__description{
  font-size: 1.8rem;
}

/* SECCION ASIDES ENCONTRADOS */
.layout__asides{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  flex-wrap: wrap;
}

.asides__content-right,
.asides__content-left{
  max-width: 40%;
  margin: 2rem 4rem;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: self-start;
  justify-content: center;
}
.logo__img-container{
  overflow: hidden;
  cursor: pointer;
}
.logo__img:hover{
  transform: scale(1.1);
}

.button{
  width: 200px;
  font-size: 16px;
  padding:15px;
  margin: 3rem;
  color:#fff;
  background:#000;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  transition: all 300ms ease-in-out;
  cursor:pointer;
  font-weight: 500;
  outline: none;
  border: none;
}

.button:hover{
  background:#111;
  transform: translateX(1.6rem);
  border-radius: 10px;
}

.cliente{
  background-image: url("../img/cliente.jpg");
  background-repeat: no-repeat; 
  background-position: center;
  background-size:contain;
  background-color: #000;
  height: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cliente__text{
  color:white;
  text-align:center;
  font-size: 3rem;
  font-weight: 600;
  font-style: italic;
  text-shadow: 2px 2px 4px black;
  cursor: pointer;
}

.cliente__text:hover{
  transition: all 3s ease;
  transform: scale(1.1);
}


/* SOPONSORS */
.list__sponsors{
  margin-top: 1rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
}

.sponsors__item{
  margin: 1rem;
  padding: 2rem;
  border-radius: 0.5rem;
  transition: all 300ms ease-in-out;
  filter: grayscale();
}

.sponsors__item:hover{
  outline: none;
  box-shadow: 2px 2px 10px #ccc
  
}

.sponsors__img{
  height: 100px;
}

.sponsors__img-hostinger,
.sponsors__img-go-daddy,
.sponsors__img-github,
.sponsors__img-udemy{
  filter: grayscale(1);
  opacity: 0.4;
  height: 100px;
}

.sponsors__text{
  font-size: 2rem;
  font-style: italic;
  text-align: center;
  color: #999;
  margin: 2rem 0;
}


/* FOOTER SOCIALES Y ATENCION */

.layout__footer{
  padding: 2rem 0;
  background-color: #eee;
  display: flex;
  flex-direction: row;
  align-items: top;
  justify-content: space-around;
  gap: 2rem;
}

.footer__contactanos,
.footer__sociales{
  /* border: 1px solid black; */
}
.contacto__form{
  display: flex;
  flex-direction: column;
  margin-left: 2rem;
}
.form__control{
  position:relative;
  display: flex;
  flex-direction: column;
}
.form__label{
  position: absolute;
  color: #000;
  font-size: 1.4rem;
  font-weight: 600;
  transition: all 300ms ease-in-out;
}
.form__input{
  border: none;
  outline: none;
  padding: 1rem;
  font-weight: 500;
  font-size: 1.4rem;
  margin-bottom: 2.5rem;
  transition: all 300ms ease-in-out;
}
.blur{
  left: 1rem;
  top: 50%;
  transform: translateY(-50%);
}
.focus{
  left: 0;
  top: -2.5rem;
  transform: translateY(0);
}
.form__btn:hover{
  background-color: #ccc;
}
.form__btn{
  font-size: 1.5rem;
  padding: 1rem;
  border: none;
  background-color: #333;
  font-family: 600;
  color: white;
  border-radius: 5px;
  margin-top: -1rem;
  cursor: pointer;
  transition: all 300ms ease-in-out;
}
.form__title{
  font-size: 2.5rem;
  margin-bottom: 2rem;
}



.sociales__title{
  font-size: 2.5rem;
}

.footer__list-item{
  font-size: 1.8rem;
  display: flex;
  padding: 1rem;
  align-items: center;
}

.icon {
  display: inline-block;
  width: 30px;
  height: 30px;
  background-size:cover;
  transition: all 300ms ease;
  margin-right: 2rem;
  cursor: pointer;
}

.list-item-link{
  font-weight: 600;
  width: 65%;
}

.list-item-link:hover{
  color: #666;
}

.copycat{
  text-align: center;
  font-size: 1.5rem;
  margin: 4rem;
}

.mapagoogle{
  height: 800px;
  border: none;
  outline: none;
}


.facebook{ background-image: url(../img/facebook.svg) }
    .facebook:hover,facebook:focus{
      filter:opacity(.5);
    }
.instagram{ background-image: url(../img/github.svg) }
    .instagram:hover,facebook:focus{
      filter:opacity(.5);
    }
.twitter{ background-image: url(../img/X_icon.svg) }
    .twitter:hover,facebook:focus{
      filter:opacity(.5);
    }
.youtube{ background-image: url(../img/youtube.svg) }
    .youtube:hover,facebook:focus{
      filter:opacity(.5);
    }
.whatsapp{ background-image: url(../img/whatsapp.svg) }
    .whatsapp:hover,facebook:focus{
      filter:opacity(.5);
    }
.telefono{ background-image: url(../img/telefono.svg) }
    .telefono:hover,facebook:focus{
      filter:opacity(.5);
    }
.correo{ background-image: url(../img/correo.svg) }
    .correo:hover,facebook:focus{
      filter:opacity(.5);
    }
.ubicacion{ background-image: url(../img/ubicacion.svg) }
    .ubicacion:hover,facebook:focus{
      filter:opacity(.5);
    }


@media screen and (max-width: 890px){

  .header__title{
    font-size: 2rem;
  }
  .header__title span{
    font-size: 1.5rem;
  }

  .nav__list{
    padding: 1rem;
    gap: 1rem;
  }
  
  .logo__img-container{
    max-width: 80%;
  }

  .logo__content{
    max-width: 80%;
  }

  .asides__content-right,
  .asides__content-left{
    max-width: 80%;
  }

  .layout__asides{
    flex-direction: column-reverse;
  }
  .layout__asides-reverse{
    flex-direction: column;
  }

  
  .footer__list-sociales,
  .footer__list-atencion{
    margin-left: 3rem;
  }

}

@media screen and (max-width: 790px){
  .layout__footer{
    display: flex;
    flex-direction: column;
  }
}

@media screen and (max-width: 570px){
  .cliente{
    height: 300px;
    align-items: last baseline;
  }
  .cliente__text{
    font-size: 1.5rem;
  }

  .sponsors__item,
  .sponsors__img-hostinger,
  .sponsors__img-go-daddy,
  .sponsors__img-github,
  .sponsors__img-udemy,
  .sponsors__img{
    height: 50px;
  }

  .sponsors__item {
    padding: 0;
  }

  .layout__footer{
    flex-direction: column-reverse;
  }

  .contacto__form {
    margin: 0 auto;
  }

  .sponsors__text{
    font-size: 1.8rem;
  }

  .mapagoogle{
    height: 400px;
    border: none;
    outline: none;
  }

  .sociales__title{
    margin-left: 2rem;
  }
}